summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/mountcritlocal
diff options
context:
space:
mode:
authormtm <mtm@FreeBSD.org>2004-01-17 10:40:45 +0000
committermtm <mtm@FreeBSD.org>2004-01-17 10:40:45 +0000
commit904beb9e16b91685d147748ca9a0ddfda1cd9282 (patch)
tree99720b9841634a9c5e100113c18279be9db362fb /etc/rc.d/mountcritlocal
parent756ba78a920fb35b9c7d4d2bbdc0422e55f17673 (diff)
downloadFreeBSD-src-904beb9e16b91685d147748ca9a0ddfda1cd9282.zip
FreeBSD-src-904beb9e16b91685d147748ca9a0ddfda1cd9282.tar.gz
Luke Mewburn has indicated that they (NetBSD) are not interested
in keeping the scripts under rc.d in sync with us. So, remove NetBSD specific stuff (which made our scripts more complicated than necessary). The NetBSD ident string will be left intact, both for history and also incase we wish to pull in future versions.
Diffstat (limited to 'etc/rc.d/mountcritlocal')
-rwxr-xr-xetc/rc.d/mountcritlocal65
1 files changed, 24 insertions, 41 deletions
diff --git a/etc/rc.d/mountcritlocal b/etc/rc.d/mountcritlocal
index 3ea68a6..c0dedb1 100755
--- a/etc/rc.d/mountcritlocal
+++ b/etc/rc.d/mountcritlocal
@@ -16,49 +16,32 @@ stop_cmd=":"
mountcritlocal_start()
{
- case ${OSTYPE} in
- FreeBSD)
- # Set up the list of network filesystem types for which mounting
- # should be delayed until after network initialization.
- case ${extra_netfs_types} in
- [Nn][Oo])
- ;;
- *)
- netfs_types="${netfs_types} ${extra_netfs_types}"
- ;;
- esac
-
- # Mount everything except nfs filesystems.
- mount_excludes='no'
- for i in ${netfs_types}; do
- fstype=${i%:*}
- mount_excludes="${mount_excludes}${fstype},"
- done
- mount_excludes=${mount_excludes%,}
- mount -a -t ${mount_excludes}
-
- case $? in
- 0)
- ;;
- *)
- echo 'Mounting /etc/fstab filesystems failed,' \
- ' startup aborted'
- kill -QUIT $$
- ;;
- esac
+ # Set up the list of network filesystem types for which mounting
+ # should be delayed until after network initialization.
+ case ${extra_netfs_types} in
+ [Nn][Oo])
+ ;;
+ *)
+ netfs_types="${netfs_types} ${extra_netfs_types}"
;;
- NetBSD)
- # Mount critical filesystems that are `local'
- # (as specified in $critical_filesystems_local)
- # This usually includes /var.
- #
- mount_critical_filesystems local
+ esac
- # clean up left-over files.
- # this could include the cleanup of lock files and /var/run, etc.
- #
- rm -f /etc/nologin /var/spool/lock/LCK.* /var/spool/uucp/STST/*
- (cd /var/run && rm -rf -- *)
+ # Mount everything except nfs filesystems.
+ mount_excludes='no'
+ for i in ${netfs_types}; do
+ fstype=${i%:*}
+ mount_excludes="${mount_excludes}${fstype},"
+ done
+ mount_excludes=${mount_excludes%,}
+ mount -a -t ${mount_excludes}
+
+ case $? in
+ 0)
+ ;;
+ *)
+ echo 'Mounting /etc/fstab filesystems failed,' \
+ ' startup aborted'
+ kill -QUIT $$
;;
esac
}
OpenPOWER on IntegriCloud